Subject: [bug#74582] [PATCH python-team 1/4] build/pyproject: Really merge directories in install phase.

From: Lars-Dominik Braun <[email-masked]>
Date: Sun, 15 Dec 2024 17:25:29 +0100

Hi,

> Yes, that could be nicer.  I'd like to keep it for a distinct commti
> though, to keep this small and focus.

sure, fine.

> Perhaps, though we'd want to verify that it indeed now works, and not
> having seen that error once, I'm not too sure how to test it.  Do you
> know of a package that could make use of this?

Hm, I checked and it does not seem to be possible to build more than
one wheel with a single pyproject.toml[1]. Let’s keep the code as is then.

Lars

[1] https://peps.python.org/pep-0517/#build-wheel states that
    build_wheel() should return the basename of the .whl file it
    creates. That implies it can only be one.